#ifndef _CL_OPRTATE_H_
#define _CL_OPRTATE_H_
#include "myXPU.h"
#include "myType.h"
#include "myHead.h"

#ifdef _USE_OPENCL_
cl_context GetCLContext();
cl_device_id GetDeviceId(int devID);
cl_program GetOpenCLProgram();
cl_command_queue GetOpenCLQueue(int devID);
cl_command_queue MyGetOpenCLQueue(int devID);
                                    
void SetKernelAndExe(int fType, int devID, size_t *globalWorkSize, size_t *localWorkSize, int dim, char *kerName, void **svmBuff, int svmBuffNum, int *paraArray, int paraNum); 

void TWOInstancesSetKernelAndExe(int yfType, int xfType, int devID, size_t *globalWorkSize, size_t *localWorkSize, int dim, char *kerName, void *y, void *x, int *paraArray, int paraNum);
void RealeaseCLContext();
void RealeaseCLProgram();
void RealeaseCLQueue();
char *GetBase64KernelStr();

#endif
#endif
